curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/users/{user_id}/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/users/{user_id}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/users/{user_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "file",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "annual_report.pdf",
"content_type": "application/pdf",
"byte_size": 1024000,
"checksum_md5": "<string>",
"url": "<string>",
"locked": true,
"state": "<string>"
},
"relationships": {
"folder": {
"links": {
"related": "<string>"
},
"meta": {}
},
"created_by": {
"links": {
"related": "<string>"
},
"meta": {}
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}List files for an user
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/users/{user_id}/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/users/{user_id}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/users/{user_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "file",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "annual_report.pdf",
"content_type": "application/pdf",
"byte_size": 1024000,
"checksum_md5": "<string>",
"url": "<string>",
"locked": true,
"state": "<string>"
},
"relationships": {
"folder": {
"links": {
"related": "<string>"
},
"meta": {}
},
"created_by": {
"links": {
"related": "<string>"
},
"meta": {}
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Path Parameters
Query Parameters
Comma-separated list of relationships to include. Allowed: folder, created_by
Sort order. Prefix with - for descending. Allowed: created_at, updated_at, name
Filter results. Available filters: created_at, created_at.neq, created_at.lt, created_at.lte, created_at.gt, created_at.gte, updated_at, updated_at.neq, updated_at.lt, updated_at.lte, updated_at.gt, updated_at.gte, name, name.neq, name.cont (case-insensitive substring match), name.in (list of values, comma-separated), name.nin (list of values, comma-separated), folder, folder.exists (boolean), created_by, created_by.exists (boolean).
Number of items per page (max 100)
Cursor for next page
Cursor for previous page